### Hierarchy

- TooltipDirective
  - EllipsisTooltip

### Implements

- OnInit
- OnDestroy
- OnChanges

## Index

### Inputs

- appendInline
- closeTrigger
- data
- disabled
- gap
- ibmDialog
- ibmTooltip
- isOpen
- offset
- placement
- shouldClose
- title
- tooltipType
- trigger
- wrapperClass

### Outputs

- isOpenChange
- onClose
- onOpen

### Constructors

- constructor

### Properties

- appendInline
- className
- closeTrigger
- data
- dialogConfig
- dialogRef
- dialogService
- disabled
- elementRef
- eventService
- gap
- hasPopup
- ibmDialog
- ibmTooltip
- isOpen
- isOpenChange
- offset
- onClose
- onOpen
- placement
- role
- shouldClose
- tabIndex
- title
- tooltipType
- trigger
- viewContainerRef
- wrapperClass
- dialogCounter

### Accessors

- ariaOwns
- descriptorId

### Methods

- close
- ngOnChanges
- ngOnDestroy
- ngOnInit
- onClick
- onDialogChanges
- onDialogInit
- onFocus
- onHover
- open
- toggle
- updateConfig
- updateTooltipContent

## Constructors

### constructor

- new EllipsisTooltip(elementRef: ElementRef, viewContainerRef: ViewContainerRef, dialogService: DialogService, eventService: EventService): EllipsisTooltip

- Inherited from TooltipDirective.constructor

  Overrides DialogDirective.constructor

  - Defined in src/dialog/tooltip/tooltip.directive.ts:59

  #### Parameters

  - ##### elementRef: ElementRef

  - ##### viewContainerRef: ViewContainerRef

  - ##### dialogService: DialogService

  - ##### eventService: EventService

  #### Returns EllipsisTooltip

## Properties

### appendInline

@Input()
appendInline: boolean = false

Inherited from DialogDirective.appendInline

- Defined in src/dialog/dialog.directive.ts:80

### className

@HostBinding({"hostPropertyName":"class.bx--tooltip__trigger"})
className: boolean = true

Inherited from TooltipDirective.className

- Defined in src/dialog/tooltip/tooltip.directive.ts:55

### closeTrigger

@Input()
closeTrigger: "mouseout" | "mouseleave" = "mouseleave"

Inherited from DialogDirective.closeTrigger

- Defined in src/dialog/dialog.directive.ts:60

### data

@Input()
data: object

Inherited from DialogDirective.data

- Defined in src/dialog/dialog.directive.ts:84

#### Type declaration

### dialogConfig

dialogConfig: DialogConfig

Inherited from DialogDirective.dialogConfig

- Defined in src/dialog/dialog.directive.ts:98

### Protected dialogRef

dialogRef: ComponentRef<Dialog>

Inherited from DialogDirective.dialogRef

- Defined in src/dialog/dialog.directive.ts:121

### Protected dialogService

dialogService: DialogService

Inherited from TooltipDirective.dialogService

Overrides DialogDirective.dialogService

- Defined in src/dialog/tooltip/tooltip.directive.ts:67

### disabled

@Input()
disabled: boolean = false

Inherited from DialogDirective.disabled

- Defined in src/dialog/dialog.directive.ts:90

### Protected elementRef

elementRef: ElementRef

Inherited from TooltipDirective.elementRef

Overrides DialogDirective.elementRef

- Defined in src/dialog/tooltip/tooltip.directive.ts:65

### Protected eventService

eventService: EventService

Inherited from TooltipDirective.eventService

Overrides DialogDirective.eventService

- Defined in src/dialog/tooltip/tooltip.directive.ts:68

### gap

@Input()
gap: number = 0

Inherited from DialogDirective.gap

- Defined in src/dialog/dialog.directive.ts:76

### hasPopup

@HostBinding({"hostPropertyName":"attr.aria-haspopup"})
hasPopup: boolean = true

Inherited from DialogDirective.hasPopup

- Defined in src/dialog/dialog.directive.ts:113

### ibmDialog

@Input()
ibmDialog: string | TemplateRef<any>

Inherited from DialogDirective.ibmDialog

- Defined in src/dialog/dialog.directive.ts:46

### ibmTooltip

@Input()
ibmTooltip: string | TemplateRef<any>

Inherited from TooltipDirective.ibmTooltip

- Defined in src/dialog/tooltip/tooltip.directive.ts:46

### isOpen

@Input()
@HostBinding({"hostPropertyName":"attr.aria-expanded"})
isOpen: boolean = false

Inherited from DialogDirective.isOpen

- Defined in src/dialog/dialog.directive.ts:86

### isOpenChange

@Output()
isOpenChange: EventEmitter<boolean> = new EventEmitter<boolean>()

Inherited from DialogDirective.isOpenChange

- Defined in src/dialog/dialog.directive.ts:110

### offset

@Input()
offset: object

Inherited from DialogDirective.offset

- Defined in src/dialog/dialog.directive.ts:68

#### Type declaration

- ##### x: number

- ##### y: number

### onClose

@Output()
onClose: EventEmitter<any> = new EventEmitter()

Inherited from DialogDirective.onClose

- Defined in src/dialog/dialog.directive.ts:102

### onOpen

@Output()
onOpen: EventEmitter<any> = new EventEmitter()

Inherited from DialogDirective.onOpen

- Defined in src/dialog/dialog.directive.ts:106

### placement

@Input()
placement: string = "left"

Inherited from DialogDirective.placement

- Defined in src/dialog/dialog.directive.ts:64

### role

@HostBinding({"hostPropertyName":"attr.role"})
role: string = "button"

Inherited from DialogDirective.role

- Defined in src/dialog/dialog.directive.ts:112

### shouldClose

@Input()
shouldClose: function

Inherited from DialogDirective.shouldClose

- Defined in src/dialog/dialog.directive.ts:94

#### Type declaration

- - (meta: CloseMeta): boolean

  - #### Parameters

    - ##### meta: CloseMeta

    #### Returns boolean

### tabIndex

@HostBinding({"hostPropertyName":"tabindex"})
tabIndex: number = 0

Inherited from TooltipDirective.tabIndex

- Defined in src/dialog/tooltip/tooltip.directive.ts:53

### title

@Input()
title: string = ""

Inherited from DialogDirective.title

- Defined in src/dialog/dialog.directive.ts:42

### tooltipType

@Input({"bindingPropertyName":"tooltip-type"})
tooltipType: "warning" | "error" | "" = ""

Inherited from TooltipDirective.tooltipType

- Defined in src/dialog/tooltip/tooltip.directive.ts:51

### trigger

@Input()
trigger: "click" | "hover" | "mouseenter" = "click"

Inherited from DialogDirective.trigger

- Defined in src/dialog/dialog.directive.ts:51

### Protected viewContainerRef

viewContainerRef: ViewContainerRef

Inherited from TooltipDirective.viewContainerRef

Overrides DialogDirective.viewContainerRef

- Defined in src/dialog/tooltip/tooltip.directive.ts:66

### wrapperClass

@Input()
wrapperClass: string

Inherited from DialogDirective.wrapperClass

- Defined in src/dialog/dialog.directive.ts:72

### Static dialogCounter

dialogCounter: number = 0

Inherited from DialogDirective.dialogCounter

- Defined in src/dialog/dialog.directive.ts:38

## Accessors

### ariaOwns

@HostBinding({"hostPropertyName":"attr.aria-owns"})
ariaOwns:

Inherited from DialogDirective.ariaOwns

- Defined in src/dialog/dialog.directive.ts:114

### descriptorId

@HostBinding({"hostPropertyName":"attr.aria-describedby"})
descriptorId:

Inherited from TooltipDirective.descriptorId

- Defined in src/dialog/tooltip/tooltip.directive.ts:57

## Methods

### close

- close(meta?: CloseMeta): void

- Inherited from DialogDirective.close

  - Defined in src/dialog/dialog.directive.ts:288

  #### Parameters

  - ##### Default value meta: CloseMeta = { reason: CloseReasons.interaction }

  #### Returns void

### ngOnChanges

- ngOnChanges(changes: SimpleChanges): void

- Inherited from DialogDirective.ngOnChanges

  - Defined in src/dialog/dialog.directive.ts:137

  #### Parameters

  - ##### changes: SimpleChanges

  #### Returns void

### ngOnDestroy

- ngOnDestroy(): void

- Inherited from DialogDirective.ngOnDestroy

  - Defined in src/dialog/dialog.directive.ts:237

  #### Returns void

### ngOnInit

- ngOnInit(): void

- Inherited from DialogDirective.ngOnInit

  - Defined in src/dialog/dialog.directive.ts:174

  #### Returns void

### onClick

@HostListener({"eventName":"click"})

- onClick(): void

- - Defined in src/dialog/tooltip/ellipsis-tooltip.directive.ts:50

  #### Returns void

### Protected onDialogChanges

- onDialogChanges(_changes: SimpleChanges): void

- Inherited from DialogDirective.onDialogChanges

  - Defined in src/dialog/dialog.directive.ts:306

  #### Parameters

  - ##### _changes: SimpleChanges

  #### Returns void

### Protected onDialogInit

- onDialogInit(): void

- Inherited from DialogDirective.onDialogInit

  - Defined in src/dialog/dialog.directive.ts:300

  #### Returns void

### onFocus

@HostListener({"eventName":"focus"})

- onFocus(): void

- - Defined in src/dialog/tooltip/ellipsis-tooltip.directive.ts:64

  #### Returns void

### onHover

@HostListener({"eventName":"mouseenter"})

- onHover(): void

- - Defined in src/dialog/tooltip/ellipsis-tooltip.directive.ts:57

  #### Returns void

### open

- open(): ComponentRef<Dialog>

- Inherited from DialogDirective.open

  - Defined in src/dialog/dialog.directive.ts:247

  #### Returns ComponentRef<Dialog>

### toggle

- toggle(meta?: CloseMeta): void

- Inherited from DialogDirective.toggle

  - Defined in src/dialog/dialog.directive.ts:277

  #### Parameters

  - ##### Default value meta: CloseMeta = { reason: CloseReasons.interaction }

  #### Returns void

### updateConfig

- updateConfig(): void

- Inherited from TooltipDirective.updateConfig

  Overrides DialogDirective.updateConfig

  - Defined in src/dialog/tooltip/tooltip.directive.ts:74

  #### Returns void

### updateTooltipContent

- updateTooltipContent(): void

- - Defined in src/dialog/tooltip/ellipsis-tooltip.directive.ts:39

  #### Returns void

  null

Generated using TypeDoc